[v6,24/28] package/qt5webengine: Add optional dependency on qt5quickcontrols2
diff mbox series

Message ID 20200217212350.29750-25-anaumann@ultratronik.de
State New
Headers show
Series
  • Qt5 qmake infra and per-package compatibility
Related show

Commit Message

Andreas Naumann Feb. 17, 2020, 9:23 p.m. UTC
The recipebrowser example depends on qt5quickcontrols2.

Signed-off-by: Andreas Naumann <anaumann@ultratronik.de>
---
 package/qt5/qt5webengine/qt5webengine.mk | 4 ++++
 1 file changed, 4 insertions(+)

Patch
diff mbox series

diff --git a/package/qt5/qt5webengine/qt5webengine.mk b/package/qt5/qt5webengine/qt5webengine.mk
index cd7a0ba81c..c27bf85908 100644
--- a/package/qt5/qt5webengine/qt5webengine.mk
+++ b/package/qt5/qt5webengine/qt5webengine.mk
@@ -42,6 +42,10 @@  else
 QT5WEBENGINE_CONF_OPTS += QT_CONFIG-=alsa
 endif
 
+ifeq ($(BR2_PACKAGE_QT5QUICKCONTROLS2),y)
+QT5WEBENGINE_DEPENDENCIES += qt5quickcontrols2
+endif
+
 # QtWebengine's build system uses python, but only supports python2. We work
 # around this by forcing python2 early in the PATH, via a python->python2
 # symlink.